nl.topicus.jdbc.xa

## Class RecoveredXid

- java.lang.Object
- - nl.topicus.jdbc.xa.RecoveredXid

All Implemented Interfaces:
  Xid

    public class RecoveredXid
    extends Object
    implements Xid

### Field Summary

### Fields inherited from interface javax.transaction.xa.Xid

`MAXBQUALSIZE, MAXGTRIDSIZE`

### Constructor Summary

Constructors
Constructor and Description
`RecoveredXid()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`byte[]` `getBranchQualifier()`
`int` `getFormatId()`
`byte[]` `getGlobalTransactionId()`
`int` `hashCode()`
`static Xid` `stringToXid(String s)`
`String` `toString()` This is for debugging purposes only
`static String` `xidToString(Xid xid)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RecoveredXid

    public RecoveredXid()

### Method Detail

#### getFormatId

    public int getFormatId()

Specified by:
  `getFormatId` in interface `Xid`

#### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

Specified by:
  `getGlobalTransactionId` in interface `Xid`

#### getBranchQualifier

    public byte[] getBranchQualifier()

Specified by:
  `getBranchQualifier` in interface `Xid`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

This is for debugging purposes only

Overrides:
  `toString` in class `Object`

#### xidToString

    public static String xidToString(Xid xid)

#### stringToXid

    public static Xid stringToXid(String s)

Parameters:
  `s` - The string to convert
Returns:
  recovered xid, or null if s does not represent a valid xid encoded by the driver.